> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Link Payments



## OpenAPI

````yaml /openapi.yaml get /payment-links/{linkId}/payments
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /payment-links/{linkId}/payments:
    get:
      tags:
        - Payment Links API
      summary: List Payment Link Payments
      operationId: list-payment-link-payment
      parameters:
        - name: linkId
          in: path
          description: ID of the Payment Link to get the payments for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Paginated response with payment link payments
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Payment Link Payment objects
                    items:
                      $ref: '#/components/schemas/PaymentLinkPayment'
                  first_page_url:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: >-
                      https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    PaymentLinkPayment:
      type: object
      description: Payment Link Payment
      properties:
        id:
          type: string
          example: plp_abc12345def678
          description: ID of the Payment Link Payment, always starting with `plp_`.
        paymentLinkId:
          type: string
          example: plk_abc12345def678
          description: ID of the Payment Link which this payment belongs to.
        currency:
          type: string
          example: EUR
          description: Currency
        amount:
          type: string
          example: '12.95'
          description: Value of the amount which is paid by the payer
        status:
          type: string
          example: paid
          description: >-
            Status of the payment. Can be `canceled`, `chargebacked`, `failed`,
            `paid`, `pending`
        payersName:
          type: string
          nullable: true
          example: John Doe
          description: The name of the payer, if available
        integration:
          type: string
          example: mollie
          description: >-
            Slug of the Payment Provider which is used for this payment. Can be
            `mollie`, `buckaroo`, `paynl` or `stripe`.
        integrationId:
          type: string
          example: tr_123abc
          description: ID of the payment at the used Payment Provider
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: Date and time when the payment was started. Written in ATOM format.
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````